[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCheckBoxState

Represents the states for a check box.

## Declaration

Source position: stdctrls.pp line 1322

`type TCheckBoxState = (`
`cbUnchecked,` |  | The check box has no check mark, indicating that the item is not selected.
`cbChecked,` |  | The check box has a check mark in it, indicating that the item is selected.
`cbGrayed` |  | The check box state cannot be changed by the user, or is disabled.
`);`

## Description

TCheckBoxState is an enumerated type with values which represent the states for a check box control. TCheckBoxState is the type used to implement the State property in TCustomCheckBox and descendent classes.